diff -uNr wine.orig/graphics/x11drv/xfont.c wine/graphics/x11drv/xfont.c
--- wine.orig/graphics/x11drv/xfont.c	2004-04-15 18:53:41 +0400
+++ wine/graphics/x11drv/xfont.c	2004-04-15 19:37:14 +0400
@@ -38,7 +38,7 @@
 #define X_PFONT_MAGIC		(0xFADE0000)
 #define X_FMC_MAGIC		(0x0000CAFE)
 
-#define MAX_FONTS	        1024*16
+#define MAX_FONTS	        1024*32
 #define MAX_LFD_LENGTH		256
 #define TILDE                   '~'
 #define HYPHEN                  '-'
diff -uNr wine.orig/programs/Makefile.in wine/programs/Makefile.in
--- wine.orig/programs/Makefile.in	2004-04-15 18:53:45 +0400
+++ wine/programs/Makefile.in	2004-04-15 19:38:04 +0400
@@ -18,12 +18,9 @@
 	rpcss \
 	uninstaller \
 	view \
-	wcmd \
 	wineconsole \
 	winedbg \
 	winemine \
-	winetest \
-	winhelp \
 	winver
 
 all: $(SUBDIRS)
diff -uNr wine.orig/scheduler/process.c wine/scheduler/process.c
--- wine.orig/scheduler/process.c	2004-04-15 18:53:49 +0400
+++ wine/scheduler/process.c	2004-04-15 19:31:02 +0400
@@ -530,11 +530,11 @@
         const char *argv0 = main_exe_name;
         if (!*argv0)
         {
-            /* if argv[0] is "wine", don't try to load anything */
+            /* if argv[0] is "winereal", don't try to load anything */
             argv0 = argv[0];
             if (!(name = strrchr( argv0, '/' ))) name = argv0;
             else name++;
-            if (!strcmp( name, "wine" )) return NULL;
+            if (!strcmp( name, "winereal" )) return NULL;
         }
 
         /* now try argv[0] with ".so" appended */
diff -uNr wine.orig/tools/winelauncher.in wine/tools/winelauncher.in
--- wine.orig/tools/winelauncher.in	2004-04-15 18:53:50 +0400
+++ wine/tools/winelauncher.in	2004-04-15 19:34:50 +0400
@@ -222,12 +222,6 @@
         which winesetup
         if [ $? -eq 0 ] ; then
             winesetup
-        else
-            if [ -x /opt/wine/bin/winesetup ] ; then
-                /opt/wine/bin/winesetup
-            else
-                $XMESSAGE -title "Error" "Error:  Unable to find winesetup in your PATH or in /opt/wine/bin"
-            fi
         fi
         exit
     fi
@@ -283,12 +277,6 @@
         which winesetup
         if [ $? -eq 0 ] ; then
             winesetup
-        else
-            if [ -x /opt/wine/bin/winesetup ] ; then
-                /opt/wine/bin/winesetup
-            else
-                $XMESSAGE -title "Error" "Error:  Unable to find winesetup in your PATH or in /opt/wine/bin"
-            fi
         fi
     fi
 
@@ -475,12 +463,6 @@
             which winesetup
             if [ $? -eq 0 ] ; then
                 winesetup
-            else
-                if [ -x /opt/wine/bin/winesetup ] ; then
-                    /opt/wine/bin/winesetup
-                else
-                    $XMESSAGE -title "Error" "Error:  Unable to find winesetup in your PATH or in /opt/wine/bin"
-                fi
             fi
             continue;
         fi
diff -uNr wine.orig/tools/winemaker wine/tools/winemaker
--- wine.orig/tools/winemaker	2004-04-15 18:53:50 +0400
+++ wine/tools/winemaker	2004-04-15 19:36:05 +0400
@@ -2673,7 +2673,7 @@
 
 if test -z "$WINE_INCLUDE_ROOT"
 then
-  WINE_INCLUDE_ROOT=":/usr/include/wine:/usr/local/include/wine:/opt/wine/include:/opt/wine/include/wine";
+  WINE_INCLUDE_ROOT=":/usr/include/wine:/usr/local/include/wine";
 else
   AC_PATH_FILE(WINE_INCLUDE_ROOT,[windef.h],[
     AC_MSG_ERROR([Could not find the Wine headers (windef.h)])
diff -uNr wine.orig/tools/wineshelllink wine/tools/wineshelllink
--- wine.orig/tools/wineshelllink	2004-04-15 18:53:50 +0400
+++ wine/tools/wineshelllink	2004-04-15 19:45:47 +0400
@@ -78,7 +78,7 @@
 # any double-dashes contaminating the input. That's the signal to 
 # the winex script that 'I know what I'm doing, don't mess with my 
 # input'.  
-if [ -n "$workdir" -a ["$WINE_LOADER" = "winex" -o "$WINE_LOADER" = "winex3"] ]; then
+if [ -n "$workdir" -a ["$WINE_LOADER" = "wine" -o "$WINE_LOADER" = "winex3"] ]; then
     WINE_MENU="$WINE_LOADER -workdir \\\"$workdir\\\""
     WINE_START="$WINE_LOADER -workdir \"$workdir\""
     DOUBLEDASH=""
@@ -127,21 +127,6 @@
 # the right thing, and we avoid all troubles with backslashes and quoting.
 path=`echo $path | sed -e 's,\\\\,/,g'` 
 
-kde_entry()
-{
-    xname=`basename "$link"`
-    cat <<EOF
-# KDE Config File
-[KDE Desktop Entry]
-Name=$xname
-Exec=$WINE_START "$path" $DOUBLEDASH $args
-Type=Application
-Comment=$descr
-EOF
-    [ -z "$workdir" ] || echo "Path=\"$workdir\""
-    [ -z "$icon_filename" ] || echo "Icon=$icon_filename"
-}
-
 gnome_entry()
 {
     xname=`basename "$link"`
@@ -161,7 +146,7 @@
     base=`basename "$link"`
     section=`dirname "$link"`
     [ -z "$icon" ] || xicon="icon=\"$icon_filename\""
-    echo "?package(local.Wine):needs=x11 section=\"WineX/$section\" title=\"$base\" longtitle=\"$descr\" command=\"$WINE_MENU \\\"$path\\\" $DOUBLEDASH $mdk_args\" $xicon"
+    echo "?package(WineX):needs=x11 section=\"Emulators/WineX/$base\" title=\"$base\" longtitle=\"$descr\" command=\"$WINE_MENU \\\"$path\\\" $DOUBLEDASH $mdk_args\" $xicon"
 }
 
 # copy the icon file to a specified dir and set icon_filename to the resulting path
@@ -230,16 +215,16 @@
   fi
   if [ "$kdeversionmajor" = 3 ]
   then
-    if [ -d "$HOME/.kde3" ]
+    if [ -d "$HOME/.kde" ]
     then
-      if [ ! -d "$HOME/.kde3/share/applnk-mdk/WineX" ]
+      if [ ! -d "$HOME/.kde/share/applnk-mdk/Emulators/WineX" ]
       then
-	mkdir "$HOME/.kde3/share/applnk-mdk/WineX"  
+	mkdir "$HOME/.kde/share/applnk-mdk/Emulators/WineX"  
       fi
-      copy_icon "$HOME/.kde3/share/applnk-mdk/WineX"
+      copy_icon "$HOME/.kde/share/applnk-mdk/Emulators/WineX"
       if [ $mode = "menu" ]
       then
-        gnome_entry > "$HOME/.kde3/share/applnk-mdk/WineX/$link.desktop"
+        gnome_entry > "$HOME/.kde/share/applnk-mdk/Emulators/WineX/$link.desktop"
       elif [ -d "$HOME/Desktop" ]
       then
         gnome_entry > "$HOME/Desktop/$link.desktop"
@@ -255,40 +240,13 @@
       fi
     fi
     kbuildsycoca &> /dev/null
+    update-menus -n > /dev/null 2>&1
   else
     mdk_entry >> "$HOME/.menu/wine"
     update-menus > /dev/null 2>&1
   fi
 fi
 
-# KDE
-
-if [ -d "$HOME/.kde" ]
-then
-  copy_icon "$HOME/.kde/share/applnk/WineX"
-  if [ $mode = "menu" ]
-  then
-    gnome_entry > "$HOME/.kde/share/applnk/WineX/$link.desktop"
-  elif [ -d "$HOME/Desktop" ]
-  then
-    gnome_entry > "$HOME/Desktop/$link.desktop"
-  fi
-fi
-if [ -d "$HOME/.kde3" ]
-then
-  copy_icon "$HOME/.kde3/share/applnk/WineX"
-  if [ $mode = "menu" ]
-  then
-    gnome_entry > "$HOME/.kde3/share/applnk/WineX/$link.desktop"
-  elif [ -d "$HOME/Desktop" ]
-  then
-    gnome_entry > "$HOME/Desktop/$link.desktop"
-  fi
-  kbuildsycoca &> /dev/null
-fi
-						    
-
-
 # Gnome
 
 if [ -d "$HOME/.gnome" ]
diff -uNr wine.orig/winedefault.reg wine/winedefault.reg
--- wine.orig/winedefault.reg	2004-04-15 18:53:55 +0400
+++ wine/winedefault.reg	2004-04-15 19:32:32 +0400
@@ -102,7 +102,7 @@
 #
 [HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\AeDebug]
 # command line to start a debugger when an exception occurs
-"Debugger"="programs/winedbg/winedbg %ld %ld"
+"Debugger"="winedbg --debugmsg -all %ld %ld"
 # to 0 if a message box has to be presented before running the debugger
 "Auto"="1"
 
